local allPanels  = "Shell Info QView Tree Search ShellAutoCompletion"
local guid = "742910F1-02ED-4542-851F-DEE37C2E13B2"
local function eMenuExists () return Plugin.Exist(guid) end
local function eMenu (hotkey)
  if Plugin.Menu(guid) then if hotkey then Keys("Enter "..hotkey) end end
end
local function eMenuCmd (cmd) 
  Far.DisableHistory(0);
  Plugin.Command(guid,"rclk_cmd:"..cmd) 
end

-- Hotkeys [Shift-]Apps, Alt-[Shift-]Apps and Ctrl-Apps to show context menu
Macro {
  area=allPanels; key="Apps ShiftApps"; description="eMenu: Text";
  condition=eMenuExists; action = function() eMenu("2") end;
}

Macro {
  area=allPanels; key="AltApps AltShiftApps"; description="eMenu: GUI";
  condition=eMenuExists; action = function() eMenu("1") end;
}

Macro {
  area=allPanels; key="CtrlApps"; description="eMenu:";
  condition=eMenuExists; action = function() eMenu() end;
}

-- Hotkeys to execute cut/copy/paste commands: Ctrl-X, Ctrl-C, Ctrl-V
Macro {
  area=allPanels; key="CtrlC"; description="eMenu: copy";
  condition=eMenuExists; action = function() eMenuCmd("copy") end;
}

Macro {
  area=allPanels; key="CtrlV"; description="eMenu: paste";
  condition=eMenuExists; action = function() eMenuCmd("paste") end;
}

Macro {
  area=allPanels; key="CtrlX"; description="eMenu: cut";
  condition=eMenuExists; action = function() eMenuCmd("cut") end;
}

Macro {
  area=allPanels; key="CtrlAltEnter"; description="eMenu: properties (GUI)";
  condition=eMenuExists; action = function() eMenuCmd("properties") end;
}